Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.bcel.classfile
Class RuntimeInvisibleParameterAnnotations

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Attribute
          org.apache.tomcat.util.bcel.classfile.ParameterAnnotations
              org.apache.tomcat.util.bcel.classfile.RuntimeInvisibleParameterAnnotations

All Implemented Interfaces:
  Serializable, Cloneable

    public class RuntimeInvisibleParameterAnnotations

extends ParameterAnnotations

represents a parameter annotation that is represented in the class file but is not provided to the JVM.

Since:
  5.3
Version:
  $Id: RuntimeInvisibleParameterAnnotations
Author:
  D. Brosius
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Method Summary
`Attribute` | `copy(ConstantPool constant_pool)`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.ParameterAnnotations
`setParameterAnnotationTable`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`clone, dump, getName, getTag, readAttribute, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### copy

    public Attribute copy(ConstantPool constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.